Bug 74899 - EDITING: Paste content and move cells downwards changes a fixed reference
Summary: EDITING: Paste content and move cells downwards changes a fixed reference
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Linux (All)
: lowest minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Paste Cell-Reference
  Show dependency treegraph
 
Reported: 2014-02-12 19:08 UTC by Seved Torstendahl
Modified: 2019-10-13 19:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A small spreadsheet that can be used to reproduce the problem (17.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-12 19:08 UTC, Seved Torstendahl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Seved Torstendahl 2014-02-12 19:08:57 UTC
Created attachment 93956 [details]
A small spreadsheet that can be used to reproduce the problem

Problem description: 

Steps to reproduce:
Use the attached spreadsheet. It is in Swedish but that doesn't matter. 
I use the Swedish language pack so my instructions below are my guess 
of what the text in English would be (e.g. Paste contents ...).
1. Select row 9 and copy it (ctrl-C). Cell E10 contains '=G$22'
2. Right-click on row 10 and select Paste contents ...
3. Select Paste all plus Move cells downwards

Current behavior:
4. Cell E10 now contains '=G$22' which was correct at the time it was 
   copied but not after insertion of the new row. 

Expected behavior:
5. I expect cell E10 to be the same as E9, i.e. '=G$23' 
   Contents of E9 is adjusted for the inserted row. 

Operating System: Ubuntu
Version: 4.1.3.2 release
Comment 1 Joel Madero 2014-02-26 03:00:32 UTC
Confirmed
Ubuntu 13.10
LibreOffice Master built today

New
Minor - can slow down professional quality work (not prevent though)
Medium - usually "low" but this seems like it could potentially cause enough problems to bump it up

@Seved - do you know if this was always broken? If it's a regression we might be able to bibisect it and figure out what broke it.
Comment 2 Joel Madero 2015-05-02 15:40:55 UTC Comment hidden (obsolete)
Comment 3 Seved Torstendahl 2015-05-05 15:57:59 UTC
Yes, the problem is still there.
However, the obvious workaround is to first insert an empty line and then copy the source line to the newly created line without movement. Then the copy is correct. 

This has very low priority for me and you may select to discard this report if you want. I guess that it is difficult to find such absolute references and decide to change them in such a specific case. 

In my earlier work we use bugzilla and could mark some reports as "won't fix" which would probably be adequate in this case. 

/Seved
Comment 4 Seved Torstendahl 2015-05-07 07:48:22 UTC
Now I have also checked with Open Office 3.2.0 that I had installed on another computer: yes the error was there. 

Apache Open Office 4.1.1 has the same problem. 

Gnumeric does not have this feature, (paste and move). 

Microsoft Office does not have this feature, (paste and move). 

Normally I use the latest version of LibreOffice with support for Swedish, which now is
   Version: 4.4.2.2
   Build ID: 40m0(Build:2)
   Språkinställning: sv_SE
Operating system Ubuntu 15.04 or Ubuntu 14.04 LTS (on another computer). 
Sometimes I use Windows Vista or Windows 8.1
Comment 5 Joel Madero 2015-05-07 14:51:31 UTC
@Seved Torstendahl - thanks for the great feedback. We won't close as WONTFIX as it's a valid bug but it's noted that it's low priority :)

We'd love to see you in the chat http://webchat.freenode.net/?channels=libreoffice-qa

We're a friendly bunch that needs all the help we can find. No developer skills needed, mostly just patience and a desire to help :)
Comment 6 QA Administrators 2016-09-20 09:36:45 UTC Comment hidden (obsolete)
Comment 7 Seved Torstendahl 2016-09-20 18:53:15 UTC
Yes, the bug is still there, LibreOffice 5.1.4.2, Build ID: 1:5.1.4-0ubuntu1
on Ubuntu 16.04.

Please see comment#3 and comment#4 which are still valid: 
 - easy to work around, 
 - very special case

Regards
Seved
Comment 8 QA Administrators 2018-07-12 02:44:39 UTC Comment hidden (obsolete)
Comment 9 Seved Torstendahl 2018-10-10 20:28:18 UTC
The bug is still there with Ubuntu 18.04.1, LibreOffice version

Version: 6.0.6.2
Build ID: 1:6.0.6-0ubuntu0.18.04.1
CPU-trådar: 2; Operativsystem: Linux 4.15; UI-rendering: standard; VCL: gtk3; 
Språkinställning: sv-SE (sv_SE.UTF-8); Calc: group

As I said in comment 3, 4 and 7 this is of very low priority, and is easy to work around

PS I noticed now that the bug description is incorrect. The line  "1." should be:
   "1. Select row 9 and copy it (ctrl-C). Cell E9 contains '=G$22' "
   ie. cell E9, not cell E10
Comment 10 QA Administrators 2019-10-11 02:36:13 UTC Comment hidden (obsolete)
Comment 11 Seved Torstendahl 2019-10-12 15:38:14 UTC
The bug is still present in LibreOffice

Version: 6.0.7.3
Build ID: 1:6.0.7-0ubuntu0.18.04.10
CPU-trådar: 8; Operativsystem: Linux 4.15; UI-rendering: standard; VCL: gtk3; 
Språkinställning: sv-SE (sv_SE.UTF-8); Calc: group

As I have pointed out earlier this is not important as it is easy to circumvent.